DuplicateMappingException.Type (Hibernate JavaDocs)
Date: 2012-04-05

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.hibernate
Enum DuplicateMappingException.Type

    java.lang.Object
      java.lang.Enum<DuplicateMappingException.Type>
          org.hibernate.DuplicateMappingException.Type

All Implemented Interfaces:
  Serializable, Comparable<DuplicateMappingException.Type>

Enclosing class:
  DuplicateMappingException

    public static enum DuplicateMappingException.Type

extends Enum<DuplicateMappingException.Type>

Enum Constant Summary
`COLUMN`
`ENTITY`
`PROPERTY`
`TABLE`

Method Summary
`static DuplicateMappingException.Type` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static DuplicateMappingException.Type[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### ENTITY

    public static final DuplicateMappingException.Type ENTITY

### TABLE

    public static final DuplicateMappingException.Type TABLE

### PROPERTY

    public static final DuplicateMappingException.Type PROPERTY

### COLUMN

    public static final DuplicateMappingException.Type COLUMN

Method Detail

### values

    public static DuplicateMappingException.Type[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (DuplicateMappingException.Type c : DuplicateMappingException.Type.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static DuplicateMappingException.Type valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.